import puppeteer from 'puppeteer';
import Infrastructure from './infrastructure';
export default class Actions extends Infrastructure {
    click(selector: string): this;
    doubleClick(selector: string): this;
    rightClick(selector: string): this;
    hover(selector: string): this;
    type(selector: string, text: string): this;
    sendChar(char: string): this;
    clear(selector: string): this;
    focus(selector: string): this;
    select(selector: string, values: string | string[]): this;
    check(selector: string): this;
    uncheck(selector: string): this;
    radio(selector: string, value: string): this;
    press(key: string, selector?: string): this;
    keyDown(key: string): this;
    keyUp(key: string): this;
    mouseMoveTo(x: number, y: number): this;
    mouseClick(x: number, y: number, options?: puppeteer.MousePressOptions): this;
    mouseDown(button?: puppeteer.MouseButtons, clickCount?: number): this;
    mouseUp(button?: puppeteer.MouseButtons, clickCount?: number): this;
    uploadFile(selector: string, path: string): this;
    addClass(selector: string, className: string): this;
    removeClass(selector: string, className: string): this;
    toggleClass(selector: string, className: string): this;
    setCookie(...cookies: puppeteer.SetCookie[]): this;
    deleteCookie(...cookies: puppeteer.DeleteCookie[]): this;
}
