import Infrastructure from './infrastructure';
export default class Assertions extends Infrastructure {
    assertUrlIs(expected: string): this;
    assertUrlMatch(regex: RegExp | string): this;
    assertPathIs(expected: string): this;
    assertPathBeginsWith(expected: string): this;
    assertTitle(title: string): this;
    assertTitleContains(title: string): this;
    assertTitleMatch(regex: RegExp | string): this;
    assertQueryStringHas(key: string, value?: string): this;
    assertQueryStringMissing(key: string): this;
    assertCookieHas(name: string, value?: string): this;
    assertSee(text: string): this;
    assertDontSee(text: string): this;
    assertSeeIn(selector: string, text: string): this;
    assertDontSeeIn(selector: string, text: string): this;
    assertAttribute(selector: string, attribute: string, value: string): this;
    assertClassHas(selector: string, className: string): this;
    assertClassMissing(selector: string, className: string): this;
    assertStyleHas(selector: string, property: string, value: string): this;
    assertValueIs(selector: string, value: string): this;
    assertValueIsNot(selector: string, value: string): this;
    assertValueContains(selector: string, value: string): this;
    assertChecked(selector: string): this;
    assertNotChecked(selector: string): this;
    assertRadioSelected(selector: string, value: string): this;
    assertRadioNotSelected(selector: string, value: string): this;
    assertSelected(selector: string, value: string): this;
    assertNotSelected(selector: string, value: string): this;
    assertElementVisible(selector: string): this;
    assertElementHidden(selector: string): this;
    assertElementPresent(selector: string): this;
    assertElementMissing(selector: string): this;
}
