import puppeteer from 'puppeteer';
import Infrastructure from './infrastructure';
export default class Page extends Infrastructure {
    goto(url: string): this;
    newPage(name?: string, options?: {
        force?: boolean;
        stayCurrent?: boolean;
    }): this;
    switchPage(name: string | number): this;
    closePage(name?: string): this;
    pagesCount(): Promise<number>;
    forward(options?: puppeteer.NavigationOptions): this;
    back(options?: puppeteer.NavigationOptions): this;
    refresh(options?: puppeteer.NavigationOptions): this;
    evaluate(fn: Function | string, ...args: any[]): this;
    evaluateWithReturn<T = any>(fn: ((...args) => T) | string, ...args: any[]): Promise<T>;
    withUserAgent(userAgent: string): this;
    saveScreenshot(path: string, options?: puppeteer.ScreenshotOptions): this;
    savePDF(path: string, options?: puppeteer.PDFOptions): this;
    waitForNavigation(timeout?: number): this;
    waitForElement(selector: string, timeout?: number): this;
    waitForEvaluation(fn: string | Function, timeout?: number, ...args: any[]): this;
    withAuth(username: string, password: string): this;
    withHeaders(headers: puppeteer.Headers): this;
    addScriptTag(type: keyof puppeteer.ScriptTagOptions, value: string): this;
    addStyleTag(type: keyof puppeteer.StyleTagOptions, value: string): this;
}
