import puppeteer from 'puppeteer';
import Infrastructure from './infrastructure';
export default class Retrieval extends Infrastructure {
    title(): Promise<string>;
    text(selector?: string): Promise<string>;
    html(selector?: string): Promise<string>;
    attribute(selector: string, attribute: string): Promise<string | null>;
    style(selector: string, property: string): Promise<string>;
    value(selector: string): Promise<string | null>;
    value(selector: string, newValue: string): this;
    hasClass(selector: string, className: string): Promise<boolean>;
    url(): Promise<{}>;
    queryString(key: string): Promise<string | string[] | undefined>;
    cookie(): Promise<{}>;
    cookies(): Promise<{}>;
    isVisible(selector: string): Promise<{}>;
    isPresent(selector: string): Promise<{}>;
    find<T>(selector: string, fn: ((selector: string, ...args) => T), ...args: any[]): T;
    findAll<T>(selector: string, index: number, fn: ((selector: string, ...args) => T), ...args: any[]): T;
    findByXPath<T>(expression: string, index: number, fn: ((selector: string, ...args) => T), ...args: any[]): T;
    findWithText<T>(selector: string, text: string, index: number, fn: ((selector: string, ...args) => T), ...args: any[]): T;
    viewport(): Promise<puppeteer.Viewport>;
}
