"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
function prepareStackTrace() {
    return new Error();
}
exports.prepareStackTrace = prepareStackTrace;
/**
 * @param fake The error which collects stack information
 * @param real The real error which contains error message.
 */
function beautifyStack(fake, real) {
    const stack = fake.stack.split('\n');
    stack.splice(1, 2);
    stack[0] = real.message;
    real.stack = stack.join('\n');
    return real;
}
exports.beautifyStack = beautifyStack;
function throwAssertionError(error) {
    if (error instanceof assert_1.AssertionError) {
        throw error;
    }
}
exports.throwAssertionError = throwAssertionError;
process.on('unhandledRejection', throwAssertionError);
